/*****************************************************************************
 * PDID3 - An ID3 tag editor for GNOME                                        *
 * Copyright (C) 2000 Scott Guilbeaux <scottg@viptx.net>                     *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#ifndef __GTK_DIR_BROWSER_H__
#define __GTK_DIR_BROWSER_H__

#include <gdk/gdk.h>
#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif
   
#ifdef __cplusplus
}
#endif

#define GTK_TYPE_DIR_BROWSER (gtk_dir_browser_get_type())
#define GTK_DIR_BROWSER(obj) (GTK_CHECK_CAST((obj), GTK_TYPE_DIR_BROWSER, GtkDirBrowser))
#define GTK_DIR_BROWSER_CLASS(klass) (GTK_CHECK_CAST((klass), GTK_TYPE_DIR_BROWSER, GtkDirBrowserClas))
#define GTK_IS_DIR_BROWSER (GTK_CHECK_TYPE((obj), GTK_TYPE_DIR_BROWSER))
#define GTK_IS_DIR_BROWSER_CLASS (GTK_CHECK_CLASS_TYPE((klass), GTK_TYPE_DIR_BROWSER))

typedef struct __GtkDirBrowser GtkDirBrowser;
typedef struct __GtkDirBrowserClass GtkDirBrowserClass;
typedef struct __GtkDirBrowserNode GtkDirBrowserNode;

struct __GtkDirBrowserNode
{
   gboolean scanned;
   gchar *path;
};

struct __GtkDirBrowser
{
   GtkCTree ctree;
   
   gchar *hostname;

   GdkPixmap *mycomputer;
   GdkPixmap *folder_open;
   GdkPixmap *folder_closed;
   GdkPixmap *folder_deny;
   
   GdkBitmap *mycomputer_mask;
   GdkBitmap *folder_open_mask;
   GdkBitmap *folder_closed_mask;
   GdkBitmap *folder_deny_mask;
};

struct __GtkDirBrowserClass
{
   GtkCTreeClass parent_class;
};

guint gtk_dir_browser_get_type(void);
GtkWidget *gtk_dir_browser_new(void);
gint gtk_dir_browser_open_dir(GtkDirBrowser *, const gchar *);

#endif
