/*****************************************************************************
 * PDMP3 - A MP3 manager for GNOME                                           *
 * Copyright (C) 2000 Scott Guilbeaux <scottg@viptx.net>                     *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#include "pdmp3.h"

void pdmp3_launch_program(gchar *program)
{
   gchar *path = NULL;
   gchar *prog = NULL;
   
   pid_t pid;
   
   /* XMMS */
#ifdef HAVE_XMMS
   if(g_strncasecmp(program, "xmms", strlen("xmms")) == 0)
     {
	path = g_strdup_printf("%s", XMMS_PATH);
	prog = g_strdup_printf("xmms");
     }
#endif
   /* FREEAMP */
#ifdef HAVE_FREEAMP
   else if(g_strncasecmp(program, "freeamp", strlen("freeamp")) == 0)
     {
	path = g_strdup_printf("%s", FREEAMP_PATH);
	prog = g_strdup_printf("freeamp");
     }
#endif
   /* GNAPSTER */
#ifdef HAVE_GNAPSTER
   else if(g_strncasecmp(program, "gnapster", strlen("gnapster")) == 0)
     {
	path = g_strdup_printf("%s", GNAP_PATH);
	prog = g_strdup_printf("gnapster");
     }
#endif
   /* RIPPERX */
#ifdef HAVE_RIPPERX
   else if(g_strncasecmp(program, "ripperX", strlen("ripperX")) == 0)
     {
	path = g_strdup_printf("%s", RIPPERX_PATH);
	prog = g_strdup_printf("ripperX");
     }
#endif
   
   if((path) && (prog))
   {
      pid = fork();
      switch(pid)
	{
	 case 0:
	   execl(path, prog, NULL, 0);
	}
   }
}
