/*****************************************************************************
 * PDMP3 - A MP3 manager for GNOME                                           *
 * Copyright (C) 2000 Scott Guilbeaux <scottg@viptx.net>                     *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#include "pdmp3.h"

poptContext pctx;

struct poptOption options[] = {
     { N_("geometry"), '\0', POPT_ARG_STRING, &pdmp3.geometry, 0,
       N_("Specify the geometry of the window."),
       N_("GEOMETRY") },
     { NULL, '\0', 0, NULL, 0 }
};

/*
 * Fill our linked list of genres
 */

void pdmp3_populate_genre_list(void)
{
   int i = 0;
   
   pdmp3.genre_list = NULL;
   pdmp3.genre_list = g_list_append(pdmp3.genre_list, "");
   
   id3_sort_genres();
   
   while(i < GENRE_MAX - 1)
     {
	pdmp3.genre_list = g_list_append(pdmp3.genre_list, id3_genres_sorted[i].name);
	i++;
     }
}

/*
 * Program entry point
 */

int main(int argc, char *argv[])
{
   GnomeClient *client;
   
   bindtextdomain(PACKAGE, GNOMELOCALEDIR);
   textdomain(PACKAGE);
   
   g_thread_init(NULL);
   
   gnome_init_with_popt_table(PACKAGE, VERSION, argc, argv, options, 0, &pctx);
   poptFreeContext(pctx);
   
   client = gnome_master_client();
   gtk_signal_connect(GTK_OBJECT(client), "save_yourself",
		      GTK_SIGNAL_FUNC(pdmp3_save_session_cb), argv[0]);
   gtk_signal_connect(GTK_OBJECT(client), "die",
		      GTK_SIGNAL_FUNC(pdmp3_session_die_cb), NULL);
   
   pdmp3_populate_genre_list();
   
   pdmp3_init();
      
   pdmp3_create();
   
   gtk_main();
   
   exit(EXIT_SUCCESS);
}
