/*****************************************************************************
 * PDMP3 - A MP3 manager for GNOME                                           *
 * Copyright (C) 2000 Scott Guilbeaux <scottg@viptx.net>                     *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#include "pdmp3.h"

void pdmp3_write_config_options(void)
{
   gnome_config_set_int("/pdmp3/confirmations/apply_confirm", pdmp3.prefs.apply_confirm);
   gnome_config_set_int("/pdmp3/confirmations/revert_confirm", pdmp3.prefs.revert_confirm);
   gnome_config_set_int("/pdmp3/confirmations/delete_confirm", pdmp3.prefs.delete_confirm);
   gnome_config_set_int("/pdmp3/confirmations/move_confirm", pdmp3.prefs.move_confirm);
   gnome_config_set_int("/pdmp3/environment/override_lastdir", pdmp3.prefs.override_lastdir);
   gnome_config_set_int("/pdmp3/auto-rename/recurse", pdmp3.prefs.auto_rename_recurse);
   gnome_config_set_int("/pdmp3/auto-rename/confirm", pdmp3.prefs.auto_rename_confirm);
   if(!pdmp3.prefs.override_lastdir)
     gnome_config_set_string("/pdmp3/environment/starting_directory", pdmp3.selected_dir);
   else
     gnome_config_set_string("/pdmp3/environment/starting_directory", pdmp3.prefs.starting_dir);
     
   gnome_config_sync();
}

void pdmp3_clear_data_dir(void)
{
   DIR *dir;
   struct dirent *dent;
   gchar *path;
   gchar *file;
   
   path = gnome_util_prepend_user_home(".pdmp3");
   dir = opendir(path);
   if(dir) 
     {
	while((dent = readdir(dir)))
	  {
	     if((g_strncasecmp(dent->d_name, ".", 1) != 0) && (g_strncasecmp(dent->d_name, "..", 2) != 0))
	       {
		  file = g_concat_dir_and_file(path, dent->d_name);
		  unlink(file);
	       }
	  }
     }
   closedir(dir);
}

void pdmp3_shutdown(void)
{
   pdmp3_clear_data_dir();
   pdmp3_write_config_options();
}
