/*****************************************************************************
 * PDMP3 - A MP3 manager for GNOME                                           *
 * Copyright (C) 2000 Scott Guilbeaux <scottg@viptx.net>                     *
 *                                                                           *
 * This program is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation; either version 2 of the License, or         *
 * (at your option) any later version.                                       *
 *                                                                           *
 * This program is distributed in the hope that it will be useful,           *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 * GNU General Public License for more details.                              *
 *                                                                           *
 * You should have received a copy of the GNU General Public License         *
 * along with this program; if not, write to the Free Software               *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *****************************************************************************/

#include "pdmp3.h"

void pdmp3_display_id3_tag(id3tag_t tag)
{
   if(g_strncasecmp(tag.tag, "TAG", 3) != 0)
     {
	pdmp3_clear_entries();
     }
   else
     {
	pdmp3_clear_entries();
	if(tag.artist[0] != '\0')
	  gtk_entry_set_text(GTK_ENTRY(pdmp3.artist_entry), tag.artist);
	if(tag.title[0] != '\0')
	  gtk_entry_set_text(GTK_ENTRY(pdmp3.title_entry), tag.title);
	if(tag.album[0] != '\0')
	  gtk_entry_set_text(GTK_ENTRY(pdmp3.album_entry), tag.album);
	if(tag.year[0] != '\0')
	  gtk_entry_set_text(GTK_ENTRY(pdmp3.year_entry), tag.year);
	if(tag.comment[0] != '\0')
	  gtk_entry_set_text(GTK_ENTRY(pdmp3.comments_entry), tag.comment);
	if(tag.genre != 0xFF)
	  pdmp3_display_id3_genre(tag.genre);
	else
	  gtk_entry_set_text(GTK_ENTRY(GTK_COMBO(pdmp3.genre_combo)->entry), "");
     }
}

void pdmp3_display_id3_genre(gint genre)
{
   gchar *style;
   
   style = id3_find_genre_by_id(genre);
   if(style)
     {
	gtk_entry_set_text(GTK_ENTRY(GTK_COMBO(pdmp3.genre_combo)->entry), style);
     }
}
